InterceptorSF (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.catalina.storeconfig, class: InterceptorSF

# Class InterceptorSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.InterceptorSF

All Implemented Interfaces:
  `IStoreFactory`

public class InterceptorSF extends StoreFactoryBase
Generate Interceptor Element

- ## Field Summary

  ### Fields inherited from class StoreFactoryBase

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterceptorSF()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `store(PrintWriter aWriter, int indent, Object aElement)`
  Store a server.xml element with attributes and children.
  `void`
  `storeChildren(PrintWriter aWriter, int indent, Object aInterceptor, StoreDescription parentDesc)`
  Store the specified Interceptor child.

  ### Methods inherited from class StoreFactoryBase

  `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InterceptorSF

    public InterceptorSF()

- ## Method Details

  - ### store

    public void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
    Description copied from interface: `IStoreFactory`
    Store a server.xml element with attributes and children.
    Specified by:
      `store` in interface `IStoreFactory`
    Overrides:
      `store` in class `StoreFactoryBase`
    Parameters:
      `aWriter` - the writer to write to
      `indent` - the indentation
      `aElement` - the element to write
    Throws:
      `Exception` - if an error occurs

  - ### storeChildren

    public void storeChildren(PrintWriter aWriter, int indent, Object aInterceptor, StoreDescription parentDesc) throws Exception
    Store the specified Interceptor child.

    Must Implement at subclass for custom store children handling.

    Overrides:
      `storeChildren` in class `StoreFactoryBase`
    Parameters:
      `aWriter` - Current output writer
      `indent` - Indentation level
      `aInterceptor` - Current element
      `parentDesc` - The element description
    Throws:
      `Exception` - Configuration storing error